import { loginRoute } from '.';
import { useMutation } from '@tanstack/react-query';
import Cookies from 'universal-cookie';

export type Credentials = {
    cpf: string;
    password: string;
};

export type LoginResponse = {
    data: {
        access_token: string;
    };
};


export const useLogin = () => {
    return useMutation({
        mutationFn: (credentials: Credentials) =>
            loginRoute.post("", {
                username: credentials.cpf,
                password: credentials.password
            }),
        onSuccess: (response) => setToken(response.data)
    });
};

const setToken = (response: { access_token: string }) => {
    const cookies = new Cookies();
    const date = new Date();
    date.setTime(date.getTime() + (30 * 60 * 1000));
    cookies.set("VDC_API_TOKEN", response?.access_token, { expires: date });
}

