import { useQuery } from '@tanstack/react-query';
import { loginRoute } from '.';
import { QUERY_KEYS } from '../../query-keys';

export type Credentials = {
    cpf: string;
    password: string;
};

export interface UserData {
    id: string;
    name: string;
    cpf: string;
    profile: string;
    email: string;
}

export const useLogin = (credentials: Credentials) => {
    useQuery<UserData[]>({
        queryKey: [QUERY_KEYS.LOGIN],
        queryFn: async () => (await loginRoute.post("", { username: credentials.cpf, password: credentials.password })).data,
    });
};