import { useMutation } from "@tanstack/react-query";
import { criminalProceduresRoute } from '.';
import { queryClient } from "../../query-client";
import { QUERY_KEYS } from "../../query-keys";

export interface PatchReviewData {
    procedureNumber: string;
    reviewerId: string;
  }

export const usePatchReviewer = () => {
    return useMutation({
        mutationFn: (data: PatchReviewData) =>  criminalProceduresRoute.patch(`/${data.procedureNumber}`, {reviewerId: data.reviewerId}),
        onSuccess: (data: any) => {
            queryClient.invalidateQueries({queryKey: [QUERY_KEYS.criminalProcedures, data.data.number]});
        },
    });
};