import { useQuery } from "@tanstack/react-query";
import { QUERY_KEYS } from "../../query-keys";
import { documentForCriminalProcedureRoute } from ".";

export interface DocumentData {
  id: string;
  name: string;
  size: number;
  active: boolean;
  date: string;
  criminalProcedure: {
    id: string;
    procedureType: string;
    number: string;
    crime: {
      name: string;
    };
    city: {
      name: string;
    };
    date: string;
  };
}

export const useGetDocumentForCriminalProcedure = (procedureId: string) =>
  useQuery<DocumentData[]>({
    queryKey: [QUERY_KEYS.documentForCriminalProcedure, procedureId],
    queryFn: async () => {
      const response = await documentForCriminalProcedureRoute(procedureId).get('');
      return response.data.content;
    },
    enabled: procedureId !== undefined && procedureId !== null,
  });