import { Route, Routes as ReactRoutes } from "react-router-dom";
import Navigation from "../components/Navigation";
import VerifyAuth from "../components/VerifyAuth";
import Users from "../pages/users/Users";
import Invite from "../pages/invite/Invite";
import ProcedureDetails from "../pages/procedure_details/ProcedureDetails";
import CriminalProcedures from "../pages/criminal_procedures/CriminalProcedures";
import SendInvite from "../pages/send_invite/SendInvite";
import Login from "../pages/login/Login";

export const LOGIN = "/login";
export const INVITE = "/cadastro";
export const PROCEDIMENTOS_CRIMINAIS = "/procedimentos-criminais";
export const CONVIDAR_USUARIO = "/convidar-usuario";
export const USUARIOS = "/usuarios";
export const DETALHES_PROCEDIMENTO = "/procedimentos-criminais/:id";

const Routes = (): React.JSX.Element => {
    return (
        <ReactRoutes>
            <Route path={LOGIN} element={<Login />} />
            <Route path={INVITE} element={<Invite />} />
            <Route path="/" element={<VerifyAuth><Navigation /></VerifyAuth>}>
                <Route path={PROCEDIMENTOS_CRIMINAIS} element={<VerifyAuth><CriminalProcedures /></VerifyAuth>} />
                <Route path={USUARIOS} element={<VerifyAuth><Users /></VerifyAuth>} />
                <Route path={DETALHES_PROCEDIMENTO} element={<VerifyAuth><ProcedureDetails /></VerifyAuth>} />
                <Route path={CONVIDAR_USUARIO} element={<VerifyAuth><SendInvite /></VerifyAuth>} />
                <Route path={USUARIOS} element={<VerifyAuth><Users /></VerifyAuth>} />
            </Route>
            <Route path={"*"} element={<VerifyAuth><Navigation /></VerifyAuth>} />
        </ReactRoutes>
    );
};

export default Routes;