import { Fragment } from "react";
import { Button } from "react-bootstrap";
import { FontAwesomeIcon } from "@fortawesome/react-fontawesome";
import { faTrash } from "@fortawesome/free-solid-svg-icons";

export function DeleteButton({
    handleDelete,
}: Readonly<{
    handleDelete: () => void;
}>) {
    return (
        <Button
            style={{
                marginRight: 10,
                background: "transparent",
                border: "none",
                cursor: "pointer",
            }}
            variant={"danger"}
            onClick={handleDelete}
        >
            <Fragment>
                <FontAwesomeIcon
                    icon={faTrash}
                    color="orange"
                    size={"lg"}
                    style={{ marginRight: 4 }}
                />
            </Fragment>
        </Button>
    );
}
