import { Box, Container, Grid } from '@mui/material';
import image from '../../assets/home.svg';

const FormContainer = ({ children }: { children: JSX.Element }) => {
  return (
    <Container
      style={{
        background: 'linear-gradient(to bottom, #fb8500, #ffb703)',
        alignItems: 'center',
        justifyContent: 'center',
      }}
      disableGutters
      maxWidth={false}
    >
      <Grid
        sx={{
          backgroundColor: 'white',
          height: 9 / 10,
          width: 9 / 10,
          borderRadius: 5,
          boxShadow: '0px 4px 4px 0px rgba(0, 0, 0, 0.25)',
          display: 'grid',
          gridTemplateColumns: '3fr 5fr',
        }}
      >
        <Box
          sx={{
            display: 'flex',
            justifyContent: 'center',
            alignItems: 'center',
          }}
        >
          <img src={image} alt="home image" />
        </Box>
        <Box>{children}</Box>
      </Grid>
    </Container>
  );
};

export default FormContainer;
