import React, { ReactElement } from 'react';
import Box from '@mui/material/Box';
import Input from '@mui/material/Input';
import InputLabel from '@mui/material/InputLabel';
import InputAdornment from '@mui/material/InputAdornment';
import FormControl from '@mui/material/FormControl';

interface InputWithIconProps {
  IconComponent?: ReactElement;
  placeholder?: string;
  labelStyle?: React.CSSProperties;
  inputStyle?: React.CSSProperties;
}

export default function InputWithIcon({ IconComponent, placeholder, labelStyle, inputStyle }: InputWithIconProps) {
  return (
    <Box sx={{ '& > :not(style)': { m: 1 } }}>
      <FormControl variant="standard">
        <InputLabel htmlFor="input-with-icon-adornment" style={labelStyle}>
          {placeholder}
        </InputLabel>
        <Input
          id="input-with-icon-adornment"
          style={inputStyle}
          startAdornment={
            <InputAdornment position="start">
              {IconComponent}
            </InputAdornment>
          }
        />
      </FormControl>
    </Box>
  );
}
