import React from "react";
import CircularProgress from "@mui/material/CircularProgress";

export default function Render({ size = 40, style = { loading: {}, div: {} }, button = false }: {
    size?: number;
    style?: { loading: React.CSSProperties; div: React.CSSProperties; }
    button?: boolean;
}) {
    const customStyleLoading = Object.assign(
        { alignSelf: "center", justifyContent: "center", alignItems: "center", color: "#FB8500" },
        style && style.loading ? style.loading : {}
    );
    const customStyleDiv = Object.assign({}, style && style.div ? style.div : {});
    let handledSize = size;
    if (button) {
        handledSize = 23;
    }

    return (
        <div
            style={Object.assign(
                {
                    display: "flex",
                    justifyContent: "center",
                    alignItems: "center",
                    height: "100%"
                },
                customStyleDiv
            )}
        >
            <CircularProgress style={customStyleLoading} size={handledSize} />
        </div>
    );
}
