import { Typography } from "@mui/material";

interface EmptyResearchProps {
    containerHeight?: string;
    title?: string;
    description?: string;
    imgHeight?: string;
}

const DEFAULT_TITLE = "Nenhum dado encontrado";
const DEFAULT_DESCRIPTION = "Nenhum resultado encontrado com o filtro utilizado";

export function EmptySearch({
    containerHeight = "50vh",
    title = DEFAULT_TITLE,
    description = DEFAULT_DESCRIPTION,
}: EmptyResearchProps) {
    return (
        <div
            style={{
                maxHeight: containerHeight,
                minHeight: containerHeight,
                minWidth: "100%",
                display: "flex",
                justifyContent: "center",
                alignItems: "center",
                flexDirection: "column",
            }}
        >
            <Typography sx={{ paddingBottom: 4 }} variant="h4" component="h1">
                {title}
            </Typography>
            <Typography variant="h5" component="h2">
                {description}
            </Typography>
        </div>
    );
}
