import Axios, { AxiosInstance } from "axios";
import { IPlaceholder } from "../../services/dtos/IPlaceholder";

export interface IPlaceholderApi {
    getTodos(): Promise<IPlaceholder>;
}

export default class PlaceholderApi implements IPlaceholderApi {

    protected axios: AxiosInstance;

    constructor(){
        this.axios = Axios.create({baseURL: "https://jsonplaceholder.typicode.com/"
        });
    }

    async getTodos(): Promise<IPlaceholder> {
        try {
            const response = await this.axios.get("/todos/1");
            return response.data as IPlaceholder;   
        } catch (error) {
            return Promise.reject("Request failed")
        }
    }
    
}