export function checkCPFLength(cpf: string) {
  return cpf.length == 11;
}

export function checkCPFSequense(cpf: string) {
  return !/^(\d)\1+$/.test(cpf);
}

export function checkCPFDigit1(cpf: string) {
let sum = 0;
for (let i = 0; i < 9; i++) {
sum += parseInt(cpf.charAt(i), 10) * (10 - i);
}

const mod = sum % 11;
const firstDigit = mod < 2 ? 0 : 11 - mod;

return parseInt(cpf.charAt(9), 10) == firstDigit;
}

export function checkCPFDigit2(cpf: string){
let sum = 0;
for (let i = 0; i < 10; i++) {
sum += parseInt(cpf.charAt(i), 10) * (11 - i);
}

const secondMod = sum % 11;
const secondDigit = secondMod < 2 ? 0 : 11 - secondMod;

return parseInt(cpf.charAt(10), 10) == secondDigit;
}

export function isCPFValid(cpf: string) {
  return checkCPFLength(cpf) && checkCPFSequense(cpf) && checkCPFDigit1(cpf) && checkCPFDigit2(cpf) 
}